<?php
/* $Id: media_library.admin.inc,v 1.1.2.5 2010/05/28 16:41:18 franz Exp $ */

/**
 * @file
 * Administration functions
 */

/**
 * Main settings page
 */
function media_library_admin($form_state) {
  $form = array();

  $form['general'] = array(
    '#type' => 'fieldset',
    '#title' => t('General Settings'),
    '#collapsible' => TRUE,
  );

  $form['general']['media_library_limit'] = array(
    '#type' => 'textfield',
    '#title' => t('Number of items per page'),
    '#description' => t('When browsing media. Number of elements per page'),
    '#size' => 10,
    '#maxlength' => 10,
    '#default_value' => variable_get('media_library_limit', MEDIA_LIBRARY_LIMIT),
  );

  // Per media-type settings are Local Tabs (look into hook_menu)
  // Use hook_media_types to declare your settings function

  return system_settings_form($form);
}

/**
 * Validade callback for media_library_admin
 */
function media_library_admin_validate($form, &$form_state) {
  if (is_numeric($form_state['values']['media_library_limit'])) {
    $form_state['values']['media_library_limit'] = (int) $form_state['values']['media_library_limit'];
  }
}
